Name:          mongo-java-driver2
Version:       2.14.3
Release:       6%{?dist}
Summary:       MongoDB Java Driver
# BSD-3-clause: src/main/org/bson/io/UTF8Encoding.java
# CC-BY-SA-3.0: src/main/org/bson/util/annotations/*
License:       ASL 2.0 and BSD and CC-BY-SA
URL:           http://docs.mongodb.org/ecosystem/drivers/java/
Source0:       https://github.com/mongodb/mongo-java-driver/archive/r%{version}/mongo-java-driver-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(junit:junit)
# Those files are modifications of code included in:
# src/main/com/mongodb/util/Base64Codec.java
Provides:      bundled(apache-commons-codec)
# src/main/org/bson/util/annotations/*
Provides:      bundled(jcip-annotations)
# src/main/org/bson/io/UTF8Encoding.java
Provides:      bundled(postgresql-jdbc) = 9.0-801

BuildArch:     noarch

%description
Java library to connect to the MongoDB document database.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n mongo-java-driver-r%{version}
# Cleanup
find -name '*.class' -delete
find -name '*.jar' -print -delete

# Unwanted task
%pom_remove_plugin :maven-source-plugin

# Fix osgi manifest
%pom_xpath_remove pom:Export-Package
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-bundle-plugin']/pom:configuration/pom:instructions" '
                 <Export-Package>com.mongodb.*,org.bson.*</Export-Package>'

%mvn_compat_version org.mongodb:mongo-java-driver %{version} 2
%mvn_file org.mongodb:mongo-java-driver mongo-java-driver %{name}

%build

# Test suite disabled; require web connection
# java.net.ConnectException: Connection refused
# com.mongodb.MongoTimeoutException: Timed out after 10000 ms while waiting to connect.
# Client view of cluster state is {type=Unknown, servers=[{address=127.0.0.1:27017,
# type=Unknown, state=Connecting, exception={com.mongodb.MongoException$Network:
# Exception opening the socket}, caused by {java.net.ConnectException: Connection refused}}]
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc History.md README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 28 2016 gil cattaneo <puntogil@libero.it> 2.14.3-1
- update to 2.14.3

* Wed Apr 20 2016 gil cattaneo <puntogil@libero.it> 2.14.2-1
- update to 2.14.2

* Tue Feb 09 2016 gil cattaneo <puntogil@libero.it> 2.14.1-3
- fix Provides

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 gil cattaneo <puntogil@libero.it> 2.14.1-1
- initial rpm
